#!/bin/sh

set -e

set_pdpl_for_path() {
    local pdpl=$1
    local path=$2
    local real_path=$(readlink -e $path)

    if [[ $real_path != "/" ]]; then
        upper_path=$(readlink -e $real_path/..)
        set_pdpl_for_path "$pdpl" "$upper_path"
    fi

    pdpl-file "$pdpl" "$real_path"
}

root_set_ccnr() {
    local sysmaxlev=3
    local sysmaxilev=`cat /sys/module/parsec/parameters/max_ilev`
    local sysmaxcat=0xffffffffffffffff
    local sysmaxlbl="$sysmaxlev:$sysmaxilev:$sysmaxcat"
    local root=$1
    local real_root=$(readlink -e $root)

    set_pdpl_for_path "$sysmaxlbl:CCNRA" $real_root
}

if [ "$EUID" -ne 0 ]; then
    printf 'rootless-docker-setup: this script must be executed with root privileges\n' 1>&2
    exit 1
fi

CONFIG_FILE=/etc/rootless-helper-astra.conf
if test -f $CONFIG_FILE; then
    source $CONFIG_FILE
fi
if [ -z $ROOTLESS_DOCKER_ROOT ]; then
    ROOTLESS_DOCKER_ROOT=/var/lib/rootlessdocker
fi

mkdir -p $ROOTLESS_DOCKER_ROOT
root_set_ccnr $ROOTLESS_DOCKER_ROOT
pdpl-file 0:0:0:ehole /dev/net/tun
