#!/bin/sh

set -e

if [ "$EUID" -ne 0 ]; then
    printf 'rootless-docker-normalize-labels.sh: this script must be executed with root privileges\n' 1>&2
    exit 1
fi

if ! (mount | awk '{print $1}' | grep -q parsecfs); then
    printf 'rootless-docker-normalize-labels.sh: parsecfs must be mounted\n' 1>&2
    exit 1
fi

CONFIG_FILE=/etc/rootless-helper-astra.conf
if test -f $CONFIG_FILE; then
    source $CONFIG_FILE
fi
if [ -z $ROOTLESS_DOCKER_ROOT ]; then
    ROOTLESS_DOCKER_ROOT=/var/lib/rootlessdocker
fi

printf 'Normalizing labels for rootless Docker...\n'
find $ROOTLESS_DOCKER_ROOT/ -mindepth 2 -maxdepth 2 -type d |
    while read d; do
        lbl=$(pdpl-file $d)
        pdpl-file -R $lbl $d
        printf '%s - OK\n' "$d"
    done
printf 'Done\n'
