#!/bin/sh

set -e

if [ $# -ne 2 ]; then
    printf 'Invalid arguments\n' 1>&2
    exit 1
fi
ROOTLESS_DOCKER_ROOT=$1
username=$2
lev=$(pdp-id -l)
ilev=$(pdp-id -i)
cat=$(pdp-id -c)

rootless_home=$ROOTLESS_DOCKER_ROOT/$USER/l${lev}i${ilev}c${cat}t0x0
run_name=rootless-run

# $HOME is required by docker.io:dockerd-rootless.sh
export HOME=$rootless_home
export OSCAP_REPORT_PATH=$rootless_home/docker.io/reports

export XDG_RUNTIME_DIR=$HOME/$run_name
mkdir -p $XDG_RUNTIME_DIR
export PATH=/sbin:$PATH
export DOCKER_HOST=unix://$XDG_RUNTIME_DIR/docker.sock

exec /usr/share/docker.io/contrib/dockerd-rootless.sh --exec-opt native.cgroupdriver=cgroupfs

